<div class="p-1r">
  <mat-horizontal-stepper [linear]="true" #stepper>
    <mat-step [stepControl]="amountFormGroup">
      <form [formGroup]="amountFormGroup">
        <ng-template matStepLabel>Ποσό μεταφοράς</ng-template>
        <div fxLayout="column">
          <app-payment-amount (updateAmount)="updateAmount($event)"></app-payment-amount>
        <div fxLayout="row" fxLayoutAlign="end center" fxFlex="100">
          <button [disabled]="!amountFormGroup.valid" mat-button matStepperNext (click)="setAmountCompleted(true)">Επόμενο</button>
        </div>
        </div>
      </form>
    </mat-step>
    <mat-step [stepControl]="paymentFormGroup">
      <form [formGroup]="paymentFormGroup">
        <ng-template matStepLabel>Πληροφορίες μεταφοράς</ng-template>
        <div fxLayout="column">
        <app-payment-transaction [storeId]="storeId" [isAmountCompleted]="amountCompleted" (updateSuccessPaymentInitialization)="updateSuccessPaymentInitialization($event)" [amount]="getAmount()"></app-payment-transaction>
        <div fxLayout="row" fxLayoutAlign="end center" fxFlex="100">
          <button mat-button matStepperPrevious (click)="setAmountCompleted(false)">Προηγούμενο</button>
          <button mat-button matStepperNext>Επόμενο</button>
        </div>
        </div>
      </form>
    </mat-step>
  </mat-horizontal-stepper>
</div>




